### Method

# Vips Object get_args

#### Declaration [src]

    int
    vips_object_get_args (
      VipsObject* object,
      const char*** names,
      int** flags,
      int* n_args
    )

#### Description [src]

Get all `GParamSpec` names and `VipsArgumentFlags` for an object.

This is handy for language bindings. From C, it’s usually more convenient to use `vips_argument_map()`.

This method is not directly available to language bindings.

#### Parameters

`names`

  Type: An array of `char**`

  Output array of `GParamSpec` names.

  The argument can be `NULL`.
  The length of the array is specified in the `n_args` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`flags`

  Type: An array of `int*`

  Output array of `VipsArgumentFlags`.

  The argument can be `NULL`.
  The length of the array is specified in the `n_args` argument.
  The data is owned by the caller of the method.

`n_args`

  Type: `int*`

  Length of output arrays.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `int`

0 on success, -1 on error.